/* produit */
    .card-wrapper{
        max-width: 1000px;
        margin: 0 auto;
    }

    img{
        width: 100%;
        display: block;
    }

    .img-display{
        overflow: hidden;
    }

    .product-imgs{
        position: relative;
    }

    .fav_discount{
        position: absolute;
        top: 0; left: 0;
        width: 96%;
        margin: .5rem;
        display: flex;
        align-items: center;
        justify-content: space-between;
        z-index: 10;
    }

    .fav_btn{
        border: none;
        background: none;
        font-size: 25px;
        color: var(--orange);
        cursor: pointer;
    }

    .fav_btn i:hover{
        scale: 1.1;
    }

    .discount_product{
        background: rgb(8, 153, 8);
        padding: .3rem;
        color: white;
        border-radius: .3rem;
        z-index: 10;
    }

    .img-showcase{
        display: flex;
        width: 100%;
        transition: all 0.5s ease;
    }

    .img-select{
        display: flex;
        justify-content: flex-start;
        max-width: 500px;
        margin: 0 auto;
        overflow-x: auto;
    }
    
    .img-select::-webkit-scrollbar{
        width: 3px;
        height: 3px;
    }
    
    .img-select:hover::-webkit-scrollbar{
        width: 5px;
        height: 5px;
    }
    
    .img-select::-webkit-scrollbar-thumb{
        background-color: var(--light-black);
    }

    .img-item{
        flex: 0 0 75px;
        height: 75px;
        margin: 0.3rem;
        border: var(--border);
        border-radius: .5rem;
    }

    .img-item img{
        object-fit: cover;
        border-radius: .5rem;
    }

    .img-item:nth-child(1),
    .img-item:nth-child(2),
    .img-item:nth-child(3){
        margin-right: 0;
    }

    .img-item:hover{
        opacity: 0.8;
    }

    .product-title{
        font-size: 2rem;
        text-transform: capitalize;
        font-weight: 700;
        position: relative;
        color: var(--blue);
        margin: 1rem 0;
    }

    .product-title::after{
        content: "";
        position: absolute;
        left: 0;
        bottom: 0;
        height: 2px;
        width: 20%;
        background: var(--blue);
    }

    .link{
        display: flex;
        align-items: center;
        gap: .3rem;
    }

    .link a{
        color: var(--orange);
    }

    .link i{
        transform: translatey(2px);
    }

    .product-price{
        display: flex;
        align-items: center;
        margin: 1rem 0;
        font-size: 1rem;
        font-weight: 700;
    }

    .product-price .icon_dollar{
        display: flex;
        align-items: center;
    }

    .product-price .icon_dollar i{
        font-size: 3rem;
        color: var(--orange);
    }

    .last-price span{
        color: rgb(141, 141, 141);
        text-decoration: line-through;
    }

    .prix{
        font-size: 1.1rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    
    .review_product{
        display: flex;
        align-items: center;
        column-gap: 5px;
        margin-bottom: .5rem;
        font-size: 22px;
    }
    
    .review_product >:first-child{
        font-size: 25px;
        font-weight: bold;
    }
    
    .product_star{
        transform: translatey(1px);
    }
    
    .product_star .bxs-star, .product_star .bxs-star-half{
        color: #ffd700;
    }
    
    .product_star .bx-star{
        color: var(--light-black);
    }
    
    .noteReview{
        font-size: 15px; 
        color: #ccc;
    }

    .product-detail h2{
        text-transform: capitalize;
        color: #12263a;
        padding-bottom: 0.6rem;
    }

    .product-detail .description_produit{
        max-height: 150px;
        font-size: 1rem;
        padding: 0.3rem;
        white-space: pre-line;
        overflow-y: auto;
    }

    .product-detail .description_produit::-webkit-scrollbar{
        width: .2rem;
        height: .2rem;
    }

    .product-detail .description_produit::-webkit-scrollbar-track{
        background-color: var(--light-black);
        border-radius: .5rem;
    }

    .product-detail .description_produit::-webkit-scrollbar-thumb{
        background-color: var(--orange);
        border-radius: .5rem;
    }
    
    .product-detail .description_produit:hover::-webkit-scrollbar{
        width: .4rem;
        height: .4rem;
    }

    .product-detail ul{
        margin: 1rem 0;
        font-size: 0.9rem;
    }

    .product-detail ul li{
        list-style: none;
        margin: .5rem 0;
        opacity: 0.9;
        text-wrap: nowrap;
    }

    .product-detail ul li i{
        margin-right: .4rem;
        color: var(--orange);
        transform: translatey(2px);
        font-size: 1rem;
    }
    
    .container_colors{
        display: flex;
        gap: 8px;
    }
    
    .all_colors{
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        gap: 14px;
    }
    
    .color_input{
        margin-right: 12px;
        position: relative;
    }
    
    .color_input label{
        position: absolute;
        top: 50%; left: 50%;
        transform: translate(-50%,-50%);
        padding: 2px;
        cursor: pointer;
    }
    
    .color_input label:hover, .color_input input[type="radio"]:checked + label{
        border: 2px solid var(--orange);
    }
    
    .point_colors{
        width: 23px; height: 23px;
        border: 1px solid var(--light-black);
    }

    .champ_select{
        padding: .15rem .2rem;
        border-radius: .5rem;
    }

    .champ_number{
        width: 50px;
        padding: .15rem .3rem;
        border-radius: .5rem;
        border: 1px solid #000;
    }
/* produit */


/* section review */
    .voir_plus_reviews{
        margin-left: auto; 
        width: 30px; 
        height: 30px; 
        padding: .8rem; 
        border-radius: 50%; 
        background: #f46f22;
        color: white;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    
    .container_review{
        overflow-y: auto;
        max-height: 300px;
        padding-right: .3rem;
    }
    
    .container_review::-webkit-scrollbar{
        width: .2rem;
        height: .2rem;
    }
    
    .container_review:hover::-webkit-scrollbar{
        width: .4rem;
        height: .4rem;
    }

    .container_review::-webkit-scrollbar-track{
        background-color: transparent;
    }

    .container_review::-webkit-scrollbar-thumb{
        background-color: var(--light-black);
    }
    
    .content_review{
        display: flex;
        column-gap: .5rem;
        padding: .5rem;
    }
    
    .content_review:nth-child(even){
        background: #00000010;
        border-radius: .5rem;
    }
    
    .review_profile{
        width: 45px;
        height: 45px;
    }
    
    .review_profile img{
        object-fit: cover;
        border-radius: 50%;
        border: 2px solid white;
    }
    
    .right_review{
        flex: 1;
    }
    
    .name_review{
        font-weight: bold;
        font-size: 18px;
    }
    
    .rating_review .bxs-star{
        color: #ffd700;
    }
    
    .rating_review .bx-star{
        color: #ccc;
    }
    
    .comment_review{
        font-size: 17px;
        white-space: pre-line;
    }
    
    .date_review{
        text-align: right;
        font-size: 14px;
        font-weight: bold;
        color: #ccc;
        margin-top: .3rem;
    }
/* section review */


/* section produits */
    .container_produits{
        display: flex;
        justify-content: flex-start;
        flex-wrap: nowrap;
        gap: 1rem;
        overflow-x: scroll;
        padding-bottom: .5rem;
    }

    .container_produits::-webkit-scrollbar{
        width: .2rem;
        height: .2rem;
    }

    .container_produits:hover::-webkit-scrollbar{
        width: .4rem;
        height: .4rem;
        border-radius: 50%;
    }
    
    .container_produits::-webkit-scrollbar-track{
        background-color: transparent;
        border-radius: .5rem;
    }
    
    .container_produits::-webkit-scrollbar-thumb{
        background-color: var(--light-black);
        border-radius: .5rem;
    }
/* section produits */

/* section form review AND shipping adress */
    .form_review, .shipping_adress{
        position: fixed;
        width: 100%; height: 100dvh;
        top: 0; left: 0;
        z-index: 100;
        display: flex;
        justify-content: center;
        align-items: center;
        backdrop-filter: blur(30px);
        scale: 0;
    }
    
    .form_review.active, .shipping_adress.active{
        scale: 1;
    }

    #close_form_review, #close_shipping_adress{
        display: block;
        position: absolute;
        top: .9rem; right: .9rem;
        font-size: 28px;
        cursor: pointer;
        color: var(--orange);
    }

    #close_form_review:hover, #close_shipping_adress:hover{
        font-size: 32px;
        color: black;
    }
    
    .titreReview, .titreShipping{
        font-weight: bolder;
        font-size: 18px;
        color: var(--blue);
    }
    
    .msg_error{
        text-align: center;
    }
    
    .titreShipping{
        margin-bottom: .5rem;
    }
    
    .formReview, .form_shipping{
        width: 18rem;
        background: white;
        padding: 1rem;
        display: flex;
        flex-direction: column;
        row-gap: .5rem;
        justify-content: center;
        align-items: center;
    }
    
    .imgProduct {
        width: 70px;
        display: flex;
        gap: 5px;
        overflow-x: auto;
        padding-bottom: .2rem;
    }
    
    .imgProduct::-webkit-scrollbar{
        width: .2rem;
        height: .2rem;
    }

    .imgProduct:hover::-webkit-scrollbar{
        width: .4rem;
        height: .4rem;
        border-radius: 50%;
    }
    
    .imgProduct::-webkit-scrollbar-track{
        background-color: transparent;
        border-radius: .5rem;
    }
    
    .imgProduct::-webkit-scrollbar-thumb{
        background-color: var(--light-black);
        border-radius: .5rem;
    }
    
    .imgProduct img{
        object-fit: cover;
        border-radius: 8px;
    }
    
    /* Étoiles stylées */
    .star-rating {
        display: flex;
        flex-direction: row-reverse;
        justify-content: flex-end;
        
    }
    
    .star-rating input[type="radio"] {
        display: none;
    }
    
    .star-rating label {
        font-size: 1.8rem;
        color: #ccc;
        cursor: pointer;
        padding: 0 5px;
        transition: color 0.2s;
        transform: translatey(-5px);
    }
    
    .star-rating input[type="radio"]:checked ~ label,
    .star-rating label:hover,
    .star-rating label:hover ~ label {
        color: #ffd700;
    }
    
    .champ_review{
        width: 100%;
        padding: .5rem;
    }
    
    .champ_review:focus{
        outline: none;
        border: 1px solid var(--orange);
    }
    
    textarea.champ_review{
        resize: none;
        height: 100px;
    }
    
    fieldset{
        display: flex;
        flex-direction: column;
        row-gap: .5rem;
        padding: .5rem;
    }
    
    legend{
        color: #00000070;
        padding: 0 .3rem;
    }
    
    .flex_champ{
        display: flex;
        gap: .5rem;
    }
    
    .reviewButton, .shippingButton{
        background: var(--orange);
        border: none;
        color: white;
    }
    
    .reviewButton:hover, .shippingButton:hover{
        background: none;
        border: 1px solid var(--orange);
        color: var(--orange);
        cursor: pointer;
    }
/* section form review AND shipping adress */


/* produit */
    @media screen and (min-width: 992px){
        .card{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 1.5rem;
        }
        .card-wrapper{
        height: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        }
        .product-imgs{
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: center;
        border: var(--border);
        border-radius: .5rem;
        }
        .product-content{
        padding-top: 0;
        }
    }
/* produit */

/* section reviews */
@media screen and (max-width: 500px){
    .review_profile{
        width: 35px;
        height: 35px;
    }
    
    .name_review{
        font-size: 16px;
    }
    
    .comment_review{
        font-size: 15px;
        overflow-y: scroll;
        max-height: 100px;
        padding-left: .5rem;
    }
    
    .comment_review::-webkit-scrollbar{
        width: .2rem;
        height: .2rem;
    }
    
    .comment_review::-webkit-scrollbar-track{
        background-color: transparent;
    }
    
    .comment_review::-webkit-scrollbar-thumb{
        background-color: var(--light-black);
    }
    
    .date_review{
        font-size: 13px;
    }
}
/* section reviews */